Skip to Content

Billing

4 endpoints

GET /billing/plans

List Plans

List available subscription plans. Public endpoint.

Response:

`any`

POST /billing/checkout

Checkout

Start a subscription checkout. Returns a URL to complete payment.

After payment, poll GET /billing/status/{org_id} to confirm activation.

Parameters:

NameInRequiredDescription
authorizationheaderNo

Request body:

{ organization_id: `string` plan?: `"pro"` success_url?: `string` | `null` cancel_url?: `string` | `null` }

Response:

`any`

GET /billing/status/\{org_id\}

Billing Status

Check subscription status for an organization.

Parameters:

NameInRequiredDescription
org_idpathYes
authorizationheaderNo

Response:

`any`

GET /billing/portal/\{org_id\}

Billing Portal

Get a URL to the Stripe billing portal to manage an existing subscription.

Parameters:

NameInRequiredDescription
org_idpathYes
authorizationheaderNo

Response:

`any`

Last updated on